<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@40E175=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@409737=09</action>
      <action>maincpu.pb@409733=09</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@409737=00</action>
      <action>maincpu.pb@409733=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@412B35=64</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@412B35=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Max CRUSH PL1">
    <script state="run">
      <action>maincpu.pb@412BC1=C8</action>
    </script>
  </cheat>

  <cheat desc="Always have Min CRUSH PL1">
    <script state="run">
      <action>maincpu.pb@412BC1=00</action>
    </script>
  </cheat>

  <cheat desc="Get Max CRUSH Now! PL1">
    <script state="on">
      <action>maincpu.pb@412BC1=C8</action>
    </script>
  </cheat>

  <cheat desc="Get Min CRUSH Now! PL1">
    <script state="on">
      <action>maincpu.pb@412BC1=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@412D35=64</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@412D35=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Max CRUSH PL2">
    <script state="run">
      <action>maincpu.pb@412DC1=C8</action>
    </script>
  </cheat>

  <cheat desc="Always have Min CRUSH PL2">
    <script state="run">
      <action>maincpu.pb@412DC1=00</action>
    </script>
  </cheat>

  <cheat desc="Get Max CRUSH Now! PL2">
    <script state="on">
      <action>maincpu.pb@412DC1=C8</action>
    </script>
  </cheat>

  <cheat desc="Get Min CRUSH Now! PL2">
    <script state="on">
      <action>maincpu.pb@412DC1=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>After you enable this cheat to see any effect you will have to reset the game (F3). Then you may have to turn the Test Mode ON (F2), wait for Test Mode to appear and reset again(F3).</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">US</item>
      <item value="0x03">World</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@1FFFFF</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1FFFFF=param</action>
    </script>
    <script state="off">
      <action>maincpu.mb@1FFFFF=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
